Package com.documentum.operations

# Interface IDfOperationNode

All Known Subinterfaces:
  `IDfCancelCheckoutNode`, `IDfCheckinNode`, `IDfCheckoutNode`, `IDfCopyNode`, `IDfDeleteNode`, `IDfExportNode`, `IDfImportNode`, `IDfMoveNode`, `IDfPredictiveCachingNode`, `IDfValidationNode`, `IDfXMLTransformNode`

public interface IDfOperationNode
Represents a node in an operation. IDfOperationNode is the base interface for all derived nodes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfList`
  `getChildren()`
  Returns a list of the immediate children of this node.
  `IDfProperties`
  `getEdgeProperties()`
  Retuns the propertes of the edge between this node and its immediate parent.
  `IDfId`
  `getId()`
  Returns a unique identifier for this node.
  `IDfOperation`
  `getOperation()`
  Returns the operation of which this node is a part.
  `IDfOperationNode`
  `getParent()`
  Returns the node that is the immediate parent of this node.
  `IDfProperties`
  `getPersistentProperties()`
  Retuns the bag of properties (attribute values) that will be stored persistently with the assocated repository object.
  `IDfProperties`
  `getProperties()`
  Returns the properties of this node.
  `boolean`
  `isRoot()`
  Returns `true` if this node is a root level node (has no parent).

- ## Method Details

  - ### getId

    IDfId getId() throws DfException
    Returns a unique identifier for this node. This is not a repository object id, but rather an identifier for the node object.
    Returns:
      a unique identifier for this node.
    Throws:
      `DfException`

  - ### getParent

    IDfOperationNode getParent() throws DfException
    Returns the node that is the immediate parent of this node. Returns null for root level nodes.
    Returns:
      node that is the immediate parent of this node or null if this is a root node.
    Throws:
      `DfException`

  - ### getChildren

    IDfList getChildren() throws DfException
    Returns a list of the immediate children of this node. The list can be empty if there are no children for this node.
    Returns:
      list of immediate children of this node.
    Throws:
      `DfException`

  - ### isRoot

    boolean isRoot() throws DfException
    Returns `true` if this node is a root level node (has no parent).
    Returns:
      `true` if this node is a root level node, `false` if this node has a parent.
    Throws:
      `DfException`

  - ### getOperation

    IDfOperation getOperation()
    Returns the operation of which this node is a part. A node is part of exactly one operation.
    Returns:
      operation of which this node is a part.

  - ### getProperties

    IDfProperties getProperties() throws DfException
    Returns the properties of this node. All of the node's state is encapsulated in the returned properties. The IDfProperties interface is not a copy of the node's properties, but the actual properties themselves. This means that changes made though the interface returned from this method can impact node behavior. Most properties of an operation node are considered internal implementation details. However, there are a couple of special properties you might want to manipulate. Please note that, while Documentum strives for release to release compatibility for properties, they are more subject to change than are the DFC COM interfaces. The properties listed here will likely migrate to the official COM interfaces in future DFC releases.

    >      "AddDCTMObjectXMLAttrs" - Cause object ID and status attributes to be written to the XML
    >      chunk points when exporting or checking out an XML instance. This is a boolean property
    >      that can be set on either the operation as a whole, or for individual operation nodes.

    >      "TemplateForNewObject" - For import (or check-in operations referencing new objects),
    >      this property sets a template object to use when creating the docbase object for this node.
    >      Setting this value will trigger a copy (saveasnew) of the template object, instead of
    >      creating a new repository object from scratch. Using a template allows attributes
    >      set on the template object to be inherited as default values for the new repository object.
    >      The value for this property must be an IDfSysObject.

    Returns:
      property settings for this node.
    Throws:
      `DfException`

  - ### getEdgeProperties

    IDfProperties getEdgeProperties() throws DfException
    Retuns the propertes of the edge between this node and its immediate parent.
    Returns:
      properties of the parent edge for this node.
    Throws:
      `DfException`

  - ### getPersistentProperties

    IDfProperties getPersistentProperties()
    Retuns the bag of properties (attribute values) that will be stored persistently with the assocated repository object. These can be any of the object's type attributes like "title", "subject", custom attributes, etc...
    Returns:
      properties of the parent edge for this node.
    Throws:
      `DfException`